summaryrefslogtreecommitdiff
path: root/ntp/files/ntpdate
diff options
context:
space:
mode:
authorChris Larson <clarson@kergoth.com>2004-11-09 00:36:47 +0000
committerChris Larson <clarson@kergoth.com>2004-11-09 00:36:47 +0000
commitf96441b9faf769c9ecdd4d338b605ea3d0cc4010 (patch)
treeedb17ec2c4ea13c5acb1c7350957a249a820e28d /ntp/files/ntpdate
parentb6588aa6851fb220cedc387d21c51513ef8d67f4 (diff)
Disable bk EOLN_NATIVE conversions on all files in packages FILESPATHs, to prevent it screwing up patches.
BKrev: 4190111fA4MuVozAqwE7xOSL9fr-TA
Diffstat (limited to 'ntp/files/ntpdate')
-rw-r--r--ntp/files/ntpdate34
1 files changed, 34 insertions, 0 deletions
diff --git a/ntp/files/ntpdate b/ntp/files/ntpdate
index e69de29bb2..ef18611965 100644
--- a/ntp/files/ntpdate
+++ b/ntp/files/ntpdate
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+PATH=/sbin:/bin
+
+test -f /usr/bin/ntpdate || exit 0
+
+if test -f /etc/default/ntpdate ; then
+. /etc/default/ntpdate
+else
+NTPSERVERS="pool.ntp.org"
+fi
+
+test -n "$NTPSERVERS" || exit 0
+
+case "$1" in
+start|force-reload)
+ echo -n "Running ntpdate to synchronize clock"
+ /usr/bin/ntpdate -u -b -s $NTPOPTIONS $NTPSERVERS
+ echo "."
+ ;;
+restart|reload)
+ # Drop -b to slew clock rather than step it if called after system is up
+ echo -n "Running ntpdate to synchronize clock"
+ /usr/bin/ntpdate -u -s $NTPOPTIONS $NTPSERVERS
+ echo "."
+ ;;
+stop)
+ ;;
+*)
+ echo "Usage: /etc/init.d/ntpdate {start|stop|restart|reload|force-reload}"
+ exit 1
+esac
+
+exit 0